CLASS TEMPLATE(3)

NAME
boost::interprocess::named_condition::lock_inverter

SYNOPSIS

// In header: <boost/interprocess/sync/named_condition.hpp>
template<typename Lock>
class lock_inverter {
public:
  // construct/copy/destruct
  lock_inverter(Lock &);
  // public member functions
  void lock();
  void unlock();
};

DESCRIPTION

  lock_inverter public construct/copy/destruct

    1.

    lock_inverter(Lock & l);

  lock_inverter public member functions

    1.

    void lock();

    2.

    void unlock();